<?php
if(IN_IQQOL){
    if($_COOKIE['iQQol_Administrator']!=IQQOL_SPPASS)
    {
        $style->assign("state",'COOKIE失效');
        $style->display('admin/index.html');exit();
    }
    else {
        if($_POST['uid']!='' or $_POST['username']!='' or $_POST['qq']!=''){
                if($_POST['uid']!='' or $_POST['username']!=''){
                    if($_POST['username']!='' and $_POST['uid']!=''){
                        $qq_search=mysql_query("SELECT * FROM ".$table."online 
WHERE `uid`='{$_POST['uid']}'",$con);
                        $style->display('admin/members/qqlist.html');
                    }
                    elseif($_POST['username']!='' and $_POST['uid']==''){
                        $qq_search=mysql_query("SELECT * FROM ".$table."online 
WHERE `username` like '%{$_POST['username']}%'",$con);
                        $style->display('admin/members/qqlist.html');
                    }
                    elseif($_POST['username']=='' and $_POST['uid']!=''){
                        $qq_search=mysql_query("SELECT * FROM ".$table."online 
WHERE `uid`='{$_POST['uid']}'",$con);
                        $style->display('admin/members/qqlist.html');
                    }
                }
                else{
                    $qq_search=mysql_query("SELECT * FROM ".$table."online 
WHERE `qq` like '%{$_POST['qq']}%'",$con);
                        $style->display('admin/members/qqlist.html');
                }
        }
        else {
            header('location:admin.php?action=members&operation=qqinfo');
        }
    }
}
?>